---
references:
- id: AmbrosioGradient2008
  accessed:
    - year: 2019
      month: 6
      day: 29
  author:
    - family: Ambrosio
      given: Luigi
    - family: Gigli
      given: Nicola
    - family: Savare
      given: Giuseppe
  citation-key: AmbrosioGradient2008
  collection-title: Lectures in Mathematics. ETH Zürich
  edition: '2'
  ISBN: 978-3-7643-8721-1
  issued:
    - year: 2008
  language: en
  publisher: Birkhäuser Basel
  title: 'Gradient Flows: In Metric Spaces and in the Space of Probability Measures'
  type: book
  URL: https://www.springer.com/gp/book/9783764387211

- id: CharpentierNatural2022
  accessed:
    - year: 2022
      month: 4
      day: 7
  author:
    - family: Charpentier
      given: Bertrand
    - family: Borchert
      given: Oliver
    - family: Zügner
      given: Daniel
    - family: Geisler
      given: Simon
    - family: Günnemann
      given: Stephan
  citation-key: CharpentierNatural2022
  container-title: arXiv:2105.04471 [cs, stat]
  issued:
    - year: 2022
      month: 3
      day: 16
  title: >-
    Natural Posterior Network: Deep Bayesian Uncertainty for Exponential Family
    Distributions
  type: article-journal
  URL: http://arxiv.org/abs/2105.04471

- id: ChenContinuousTime2017
  accessed:
    - year: 2019
      month: 10
      day: 18
  author:
    - family: Chen
      given: Changyou
    - family: Li
      given: Chunyuan
    - family: Chen
      given: Liqun
    - family: Wang
      given: Wenlin
    - family: Pu
      given: Yunchen
    - family: Carin
      given: Lawrence
  citation-key: ChenContinuousTime2017
  container-title: arXiv:1709.01179 [stat]
  issued:
    - year: 2017
      month: 9
      day: 4
  title: Continuous-Time Flows for Efficient Inference and Density Estimation
  type: article-journal
  URL: http://arxiv.org/abs/1709.01179

- id: ChenNeural2018
  accessed:
    - year: 2019
      month: 1
      day: 29
  author:
    - family: Chen
      given: Tian Qi
    - family: Rubanova
      given: Yulia
    - family: Bettencourt
      given: Jesse
    - family: Duvenaud
      given: David K
  citation-key: ChenNeural2018
  container-title: Advances in Neural Information Processing Systems 31
  editor:
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Larochelle
      given: H.
    - family: Grauman
      given: K.
    - family: Cesa-Bianchi
      given: N.
    - family: Garnett
      given: R.
  issued:
    - year: 2018
  page: 6572–6583
  publisher: Curran Associates, Inc.
  title: Neural Ordinary Differential Equations
  type: paper-conference
  URL: http://papers.nips.cc/paper/7892-neural-ordinary-differential-equations.pdf

- id: DinhDensity2016
  accessed:
    - year: 2020
      month: 5
      day: 9
  author:
    - family: Dinh
      given: Laurent
    - family: Sohl-Dickstein
      given: Jascha
    - family: Bengio
      given: Samy
  citation-key: DinhDensity2016
  container-title: Advances In Neural Information Processing Systems
  issued:
    - year: 2016
      month: 8
      day: 17
  title: Density estimation using Real NVP
  type: paper-conference
  URL: http://arxiv.org/abs/1605.08803

- id: DurkanNeural2019
  accessed:
    - year: 2024
      month: 6
      day: 12
  author:
    - family: Durkan
      given: Conor
    - family: Bekasov
      given: Artur
    - family: Murray
      given: Iain
    - family: Papamakarios
      given: George
  citation-key: DurkanNeural2019
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2019
  publisher: Curran Associates, Inc.
  title: Neural Spline Flows
  type: paper-conference
  URL: >-
    https://proceedings.neurips.cc/paper/2019/hash/7ac71d433f282034e088473244df8c02-Abstract.html
  volume: '32'

- id: FigurnovImplicit2018
  accessed:
    - year: 2020
      month: 6
      day: 21
  author:
    - family: Figurnov
      given: Mikhail
    - family: Mohamed
      given: Shakir
    - family: Mnih
      given: Andriy
  citation-key: FigurnovImplicit2018
  container-title: Advances in Neural Information Processing Systems 31
  editor:
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Larochelle
      given: H.
    - family: Grauman
      given: K.
    - family: Cesa-Bianchi
      given: N.
    - family: Garnett
      given: R.
  issued:
    - year: 2018
  page: 441–452
  publisher: Curran Associates, Inc.
  title: Implicit Reparameterization Gradients
  type: paper-conference
  URL: http://papers.nips.cc/paper/7326-implicit-reparameterization-gradients.pdf

- id: GlassermanGradient1991
  author:
    - family: Glasserman
      given: Paul
    - family: Ho
      given: Yu-Chi
  citation-key: GlassermanGradient1991
  ISBN: 978-0-7923-9095-4
  issued:
    - year: 1991
  language: en
  number-of-pages: '250'
  publisher: Springer Science & Business Media
  title: Gradient Estimation Via Perturbation Analysis
  type: book

- id: GrumittFlow2023
  accessed:
    - year: 2024
      month: 9
      day: 7
  author:
    - family: Grumitt
      given: Richard D. P.
    - family: Karamanis
      given: Minas
    - family: Seljak
      given: Uroš
  citation-key: GrumittFlow2023
  DOI: 10.48550/arXiv.2309.11490
  issued:
    - year: 2023
      month: 9
      day: 20
  number: arXiv:2309.11490
  publisher: arXiv
  title: >-
    Flow Annealed Kalman Inversion for Gradient-Free Inference in Bayesian
    Inverse Problems
  type: article
  URL: http://arxiv.org/abs/2309.11490

- id: HuangNeural2018
  accessed:
    - year: 2018
      month: 4
      day: 4
  author:
    - family: Huang
      given: Chin-Wei
    - family: Krueger
      given: David
    - family: Lacoste
      given: Alexandre
    - family: Courville
      given: Aaron
  citation-key: HuangNeural2018
  container-title: arXiv:1804.00779 [cs, stat]
  issued:
    - year: 2018
      month: 4
      day: 2
  title: Neural Autoregressive Flows
  type: article-journal
  URL: http://arxiv.org/abs/1804.00779

- id: JankowiakPathwise2018
  accessed:
    - year: 2020
      month: 6
      day: 21
  author:
    - family: Jankowiak
      given: Martin
    - family: Obermeyer
      given: Fritz
  citation-key: JankowiakPathwise2018
  container-title: International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 1938-7228
  issued:
    - year: 2018
      month: 7
      day: 3
  language: en
  page: 2235-2244
  section: Machine Learning
  title: Pathwise Derivatives Beyond the Reparameterization Trick
  type: paper-conference
  URL: http://proceedings.mlr.press/v80/jankowiak18a.html

- id: KingmaAutoEncoding2014
  accessed:
    - year: 2016
      month: 8
      day: 23
  author:
    - family: Kingma
      given: Diederik P.
    - family: Welling
      given: Max
  citation-key: KingmaAutoEncoding2014
  container-title: ICLR 2014 conference
  issued:
    - year: 2014
  title: Auto-Encoding Variational Bayes
  type: paper-conference
  URL: http://arxiv.org/abs/1312.6114

- id: KingmaGlow2018
  accessed:
    - year: 2019
      month: 2
      day: 4
  author:
    - family: Kingma
      given: Durk P
    - family: Dhariwal
      given: Prafulla
  citation-key: KingmaGlow2018
  container-title: Advances in Neural Information Processing Systems 31
  editor:
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Larochelle
      given: H.
    - family: Grauman
      given: K.
    - family: Cesa-Bianchi
      given: N.
    - family: Garnett
      given: R.
  issued:
    - year: 2018
  page: 10236–10245
  publisher: Curran Associates, Inc.
  title: 'Glow: Generative Flow with Invertible 1x1 Convolutions'
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/8224-glow-generative-flow-with-invertible-1x1-convolutions.pdf
  volume: '31'

- id: KingmaImproving2016
  author:
    - family: Kingma
      given: Diederik P.
    - family: Salimans
      given: Tim
    - family: Jozefowicz
      given: Rafal
    - family: Chen
      given: Xi
    - family: Sutskever
      given: Ilya
    - family: Welling
      given: Max
  citation-key: KingmaImproving2016
  container-title: Advances in Neural Information Processing Systems 29
  issued:
    - year: 2016
      month: 6
      day: 15
  publisher: Curran Associates, Inc.
  title: Improving Variational Inference with Inverse Autoregressive Flow
  type: paper-conference
  URL: http://arxiv.org/abs/1606.04934

- id: KingmaVariational2015
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Kingma
      given: Diederik P.
    - family: Salimans
      given: Tim
    - family: Welling
      given: Max
  citation-key: KingmaVariational2015
  collection-title: NIPS'15
  container-title: >-
    Proceedings of the 28th International Conference on Neural Information
    Processing Systems - Volume 2
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
      month: 6
      day: 8
  page: 2575–2583
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Variational Dropout and the Local Reparameterization Trick
  type: paper-conference
  URL: http://arxiv.org/abs/1506.02557

- id: KobyzevNormalizing2021
  accessed:
    - year: 2024
      month: 6
      day: 12
  author:
    - family: Kobyzev
      given: Ivan
    - family: Prince
      given: Simon J. D.
    - family: Brubaker
      given: Marcus A.
  citation-key: KobyzevNormalizing2021
  container-title: IEEE Transactions on Pattern Analysis and Machine Intelligence
  container-title-short: IEEE Trans. Pattern Anal. Mach. Intell.
  DOI: 10.1109/TPAMI.2020.2992934
  ISSN: 0162-8828, 2160-9292, 1939-3539
  issue: '11'
  issued:
    - year: 2021
      month: 11
      day: 1
  page: 3964-3979
  title: 'Normalizing Flows: An Introduction and Review of Current Methods'
  type: article-journal
  URL: http://arxiv.org/abs/1908.09257
  volume: '43'

- id: KoehlerRepresentational2020
  accessed:
    - year: 2020
      month: 12
      day: 17
  author:
    - family: Koehler
      given: Frederic
    - family: Mehta
      given: Viraj
    - family: Risteski
      given: Andrej
  citation-key: KoehlerRepresentational2020
  container-title: arXiv:2010.01155 [cs, stat]
  issued:
    - year: 2020
      month: 10
      day: 2
  title: Representational aspects of depth and conditioning in normalizing flows
  type: article-journal
  URL: http://arxiv.org/abs/2010.01155

- id: LouizosMultiplicative2017
  author:
    - family: Louizos
      given: Christos
    - family: Welling
      given: Max
  citation-key: LouizosMultiplicative2017
  container-title: PMLR
  event-title: International Conference on Machine Learning
  issued:
    - year: 2017
      month: 7
      day: 17
  language: en
  page: 2218-2227
  title: Multiplicative Normalizing Flows for Variational Bayesian Neural Networks
  type: paper-conference
  URL: http://proceedings.mlr.press/v70/louizos17a.html

- id: LuWoodbury2020
  accessed:
    - year: 2020
      month: 12
      day: 14
  author:
    - family: Lu
      given: You
    - family: Huang
      given: Bert
  citation-key: LuWoodbury2020
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2020
  language: en
  title: Woodbury Transformations for Deep Generative Flows
  type: paper-conference
  URL: >-
    https://proceedings.neurips.cc//paper_files/paper/2020/hash/3fb04953d95a94367bb133f862402bce-Abstract.html
  volume: '33'

- id: MassaroliStable2020
  accessed:
    - year: 2020
      month: 12
      day: 8
  author:
    - family: Massaroli
      given: Stefano
    - family: Poli
      given: Michael
    - family: Bin
      given: Michelangelo
    - family: Park
      given: Jinkyoo
    - family: Yamashita
      given: Atsushi
    - family: Asama
      given: Hajime
  citation-key: MassaroliStable2020
  container-title: arXiv:2003.08063 [cs, math, stat]
  issued:
    - year: 2020
      month: 3
      day: 18
  title: Stable Neural Flows
  type: article-journal
  URL: http://arxiv.org/abs/2003.08063

- id: MohamedMonte2020
  accessed:
    - year: 2020
      month: 9
      day: 17
  author:
    - family: Mohamed
      given: Shakir
    - family: Rosca
      given: Mihaela
    - family: Figurnov
      given: Michael
    - family: Mnih
      given: Andriy
  citation-key: MohamedMonte2020
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '132'
  issued:
    - year: 2020
  page: 1-62
  title: Monte Carlo Gradient Estimation in Machine Learning
  type: article-journal
  URL: http://jmlr.org/papers/v21/19-346.html
  volume: '21'

- id: PapamakariosMasked2017
  accessed:
    - year: 2018
      month: 4
      day: 4
  author:
    - family: Papamakarios
      given: George
    - family: Murray
      given: Iain
    - family: Pavlakou
      given: Theo
  citation-key: PapamakariosMasked2017
  container-title: Advances in Neural Information Processing Systems 30
  editor:
    - family: Guyon
      given: I.
    - family: Luxburg
      given: U. V.
    - family: Bengio
      given: S.
    - family: Wallach
      given: H.
    - family: Fergus
      given: R.
    - family: Vishwanathan
      given: S.
    - family: Garnett
      given: R.
  issued:
    - year: 2017
  page: 2338–2347
  publisher: Curran Associates, Inc.
  title: Masked Autoregressive Flow for Density Estimation
  type: paper-conference
  URL: >-
    http://papers.nips.cc/paper/6828-masked-autoregressive-flow-for-density-estimation.pdf

- id: PapamakariosNeural2019
  accessed:
    - year: 2019
      month: 11
      day: 6
  author:
    - family: Papamakarios
      given: George
  citation-key: PapamakariosNeural2019
  issued:
    - year: 2019
      month: 10
      day: 29
  publisher: The University of Edinburgh
  title: Neural Density Estimation and Likelihood-free Inference
  type: thesis
  URL: http://arxiv.org/abs/1910.13233

- id: PapamakariosNormalizing2021
  accessed:
    - year: 2020
      month: 9
      day: 10
  author:
    - family: Papamakarios
      given: George
    - family: Nalisnick
      given: Eric
    - family: Rezende
      given: Danilo Jimenez
    - family: Mohamed
      given: Shakir
    - family: Lakshminarayanan
      given: Balaji
  citation-key: PapamakariosNormalizing2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '57'
  issued:
    - year: 2021
  page: 1-64
  title: Normalizing Flows for Probabilistic Modeling and Inference
  type: article-journal
  URL: http://arxiv.org/abs/1912.02762
  volume: '22'

- id: PfauIntegrable2020
  author:
    - family: Pfau
      given: David
    - family: Rezende
      given: Danilo
  citation-key: PfauIntegrable2020
  issued:
    - year: 2020
  language: en
  page: '7'
  title: Integrable Nonparametric Flows
  type: paper-conference

- id: RezendeVariational2015
  accessed:
    - year: 2018
      month: 4
      day: 15
  author:
    - family: Rezende
      given: Danilo Jimenez
    - family: Mohamed
      given: Shakir
  citation-key: RezendeVariational2015
  collection-title: ICML'15
  container-title: International Conference on Machine Learning
  event-place: Lille, France
  event-title: International Conference on Machine Learning
  issued:
    - year: 2015
      month: 6
      day: 1
  language: en
  page: 1530-1538
  publisher: JMLR.org
  publisher-place: Lille, France
  title: Variational Inference with Normalizing Flows
  type: paper-conference
  URL: http://arxiv.org/abs/1505.05770

- id: RuizGeneralized2016
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Ruiz
      given: Francisco J. R.
    - family: Titsias
      given: Michalis K.
    - family: Blei
      given: David M.
  citation-key: RuizGeneralized2016
  container-title: Advances In Neural Information Processing Systems
  event-title: NIPS
  issued:
    - year: 2016
      month: 10
      day: 7
  title: The Generalized Reparameterization Gradient
  type: paper-conference
  URL: http://arxiv.org/abs/1610.02287

- id: ShiVariational2019
  accessed:
    - year: 2020
      month: 6
      day: 21
  author:
    - family: Shi
      given: Yuge
    - family: Siddharth
      given: N.
    - family: Paige
      given: Brooks
    - family: Torr
      given: Philip H. S.
  citation-key: ShiVariational2019
  container-title: arXiv:1911.03393 [cs, stat]
  issued:
    - year: 2019
      month: 11
      day: 8
  language: en
  title: >-
    Variational Mixture-of-Experts Autoencoders for Multi-Modal Deep Generative
    Models
  type: article-journal
  URL: http://arxiv.org/abs/1911.03393

- id: TabakDensity2010
  accessed:
    - year: 2019
      month: 10
      day: 15
  author:
    - family: Tabak
      given: Esteban G.
    - family: Vanden-Eijnden
      given: Eric
  citation-key: TabakDensity2010
  container-title: Communications in Mathematical Sciences
  container-title-short: Commun. Math. Sci.
  ISSN: 1539-6746, 1945-0796
  issue: '1'
  issued:
    - year: 2010
      month: 3
  language: EN
  page: 217-233
  title: Density estimation by dual ascent of the log-likelihood
  type: article-journal
  URL: https://projecteuclid.org/euclid.cms/1266935020
  volume: '8'

- id: TabakFamily2013
  accessed:
    - year: 2019
      month: 10
      day: 15
  author:
    - family: Tabak
      given: E. G.
    - family: Turner
      given: Cristina V.
  citation-key: TabakFamily2013
  container-title: Communications on Pure and Applied Mathematics
  container-title-short: Comm. Pure Appl. Math.
  DOI: 10.1002/cpa.21423
  ISSN: '00103640'
  issue: '2'
  issued:
    - year: 2013
      month: 2
  language: en
  page: 145-164
  title: A Family of Nonparametric Density Estimation Algorithms
  type: article-journal
  URL: https://core.ac.uk/download/pdf/80364696.pdf
  volume: '66'

- id: vandenBergSylvester2018
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Berg
      given: Rianne
      non-dropping-particle: van den
    - family: Hasenclever
      given: Leonard
    - family: Tomczak
      given: Jakub M.
    - family: Welling
      given: Max
  citation-key: vandenBergSylvester2018
  container-title: UAI18
  issued:
    - year: 2018
      month: 3
      day: 15
  title: Sylvester Normalizing Flows for Variational Inference
  type: paper-conference
  URL: http://arxiv.org/abs/1803.05649

- id: WangRiemannian2019
  accessed:
    - year: 2019
      month: 8
      day: 12
  author:
    - family: Wang
      given: Prince Zizhuang
    - family: Wang
      given: William Yang
  citation-key: WangRiemannian2019
  container-title: >-
    Proceedings of the 2019 Conference of the North American Chapter of the
    Association for Computational Linguistics: Human Language Technologies,
    Volume 1 (Long and Short Papers)
  DOI: 10.18653/v1/N19-1025
  event-place: Minneapolis, Minnesota
  event-title: NAACL-HLT 2019
  issued:
    - year: 2019
      month: 6
  page: 284–294
  publisher: Association for Computational Linguistics
  publisher-place: Minneapolis, Minnesota
  title: >-
    Riemannian Normalizing Flow on Variational Wasserstein Autoencoder for Text
    Modeling
  type: paper-conference
  URL: https://www.aclweb.org/anthology/N19-1025

- id: WinklerLearning2023
  accessed:
    - year: 2024
      month: 5
      day: 10
  author:
    - family: Winkler
      given: Christina
    - family: Worrall
      given: Daniel
    - family: Hoogeboom
      given: Emiel
    - family: Welling
      given: Max
  citation-key: WinklerLearning2023
  DOI: 10.48550/arXiv.1912.00042
  issued:
    - year: 2023
      month: 11
      day: 12
  number: arXiv:1912.00042
  publisher: arXiv
  title: Learning Likelihoods with Conditional Normalizing Flows
  type: article
  URL: http://arxiv.org/abs/1912.00042
...
